description: >
  A collect rule usage example.

metadata:
  name: Collect

resources:
  mapping:
    type: Cybus::Mapping
    properties:
      mappings:
        - subscribe:
            topic: factory/+machine/+sensor
            label: "{machine}.{sensor}"
          publish:
            topic: 'factory/data'
          rules:
            - collect: {}
